perl-modperl mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andy Colson <a...@squeakycode.net>
Subject Re: MP and 2.4 Compilation Woes
Date Fri, 08 Feb 2013 16:33:30 GMT
On 2/8/2013 10:30 AM, Andy Colson wrote:
> On 2/8/2013 10:09 AM, Kevin A. McGrail wrote:
>> On 2/8/2013 11:04 AM, Kevin A. McGrail wrote:
>>> On 2/8/2013 11:01 AM, Andy Colson wrote:
>>>> thought you had typed:
>>>>
>>>> >> > /usr/local/perl-5.14/bin/perl build/source_scan.pl
>>>>
>>>> Do you have multiple perl's installed?  /usr/local/perl-5.14 seems
>>>> unusual.
>>> I custom compiled a version of perl in /usr/local/perl-5.14
>>>> Any chance your picking up headers or libs from a different version
>>>> of perl?
>>> Always feasible but I only added that version of perl because things
>>> were worse with perl 5.10.1 from the RH/CentOS RPMs.
>> I should be cleared. I don't know if it's picking up other headers/libs,
>> etc.  I'm happy to look if you can give me a pointer in the right
>> direction and/or post output logs, etc.  At this point, I've been trying
>> to compile mp 2.4 and reading source for several few months with about 4
>> hours a week on this.  I've tried a LOT of different things and I can
>> try more including different boxes, reloading fresh OSes, etc.
>
> Here's how I did it.
>
> tar xf mod_perl-2.0-current.tar.gz
> cp all.tgz mod_perl-2.0.7/
> cd mod_perl-2.0.7/
> tar xf all.tgz
> for i in *.patch; do patch -p1 < $i; done
> perl Makefile.PL MP_APR_CONFIG=/usr/bin/apr-1-config
> make source_scan
>
> Some output from make source_scan:
> $ make source_scan
> /usr/bin/perl build/source_scan.pl
> In file included from .apache_includes:161:0,
>                   from <stdin>:1:
> /pub/apps/mod_perl-2.0.7/xs/modperl_xs_sv_convert.h:146:0: warning:
> "mp_xs_sv2_APR__Table" redefined [enabled by default]
> In file included from .apache_includes:160:0,
>                   from <stdin>:1:
> ... bunch more like this ...
> ... finishes ok ..
>
> Your error "Expecting parenth after identifier" looks like an h2xs
> error.  I'll look around a little more.
>
> -Andy
>
>
>
>
>

XML_Memory_Handling_Suite is from expat.  I have 2.0.1 installed.  Do 
you have the expat-dev package installed?

-Andy

Mime
View raw message